## The CoderDojo ethos

The ethos of the CoderDojo movement is our approach to how we work together in a Dojo and in our community, and how we aim to impact the world. Over the years, it has grown into the set of key principles that all Dojos agree to follow. In the coming weeks, we'll also show you how you can practically incorporate these in your Dojo.

These principles are:

 * **One rule: be cool!** — Behave well towards your fellow Dojo members.
 * **Inclusive and free** — Everyone is welcome at a Dojo, and can attend free of charge.
 * **Informal and fun** — Dojos should have a lively social atmosphere.
 * **Open source** — The movement is open, and built by the shared efforts of its members.
 * **Collaboration and teamwork** — Working together is core to the Dojo experience.
 * **Changemaking** — Ninjas are encouraged to improve their communities with what they learn.


## One rule: be cool!
The oldest of CoderDojo’s principles should be introduced to all Dojo attendees. In short, it means that we should behave well towards each other.

> “Helping, sharing, supporting, encouraging, cooperating, and being kind are all very cool. Bullying, lying, time-wasting, and disrupting the Dojo are all considered uncool.”<br />**Bill Liao**, CoderDojo co-founder<br />

## Inclusive and free
It is fundamental to the ethos of the CoderDojo movement that there is no charge for attending any Dojo, anywhere in the world. This enables Dojos to be open and inclusive for anyone who wants to participate.

CoderDojo is fully inclusive and encourages diversity. All young people regardless of gender, social status, religion, race, sexual orientation, socioeconomic status, or beliefs are welcome to attend their local CoderDojo.

> “I love being a part of an organisation that is truly and deeply altruistic. CoderDojo is genuine in its efforts to reach and motivate youth of all backgrounds and circumstances.”<br />**David Welch**, Dojo champion, Iowa, USA<br />

## Informal and fun
Dojos are clubs with their own communities. The atmosphere in a Dojo session is fun and social, so that Ninjas have the opportunity to chat and work together. Try to avoid having instructors at the top of the room with Ninjas sitting in lines and listening, like in a classroom.

Taking risks and making mistakes are vital to learning, particularly in coding. Failure is one of the best ways of learning the right way to put things together. It's important to ensure that Ninjas know this and know that even the best coders fail sometimes.

> "As a Dojo mentor, when a Ninja asks me to help them build something that I don’t know how to create, I always let them see me looking it up online. I talk them through how I’m searching, how I am teaching myself, and how I identify and fix my errors along the way."<br />**Philip Harney**, Dojo Volunteer, Ireland<br /> 

## Open source
Since its establishment, CoderDojo has been based on an open-source model. Anyone anywhere can set up a Dojo if they operate within the CoderDojo ethos and values. All CoderDojo volunteers are part of the global open-source CoderDojo movement and network, and all are encouraged to share their insights and improvements with the community.

## Collaboration and teamwork
Different people have different strengths, and learning from each other is one of the great benefits of working in groups. We recommend that you encourage Ninjas to self-organise into teams. This can help them to better understand their individual strengths, learn how to work with others, and assist their peers with questions.

>“It’s so satisfying to watch the children enjoy what we teach them and see them interact with and learn from each other.”<br />**Vicky Hogan**, Dojo mentor, Wexford, Ireland<br />

TeamC members do not have to be of the same age or ability: mix it up and give everyone a chance to learn and grow with group collaboration! If possible, try to ensure that groups are not restricted to one gender so that young people can work across genders. Diversity within teams is a known catalyst for innovative thinking and creativity. Moreover, girls and women are underrepresented in STEM classes, courses, and job sectors, and encouraging girls to become mentors is a strong catalyst for more girls to engage in CoderDojo. If they have female role models, girls are much more likely to explore their interest in technology and coding and consider a STEM career path.

## Changemaking
Ninjas should be encouraged to work on themes and projects of direct interest to them. Projects that have a positive social, environmental, or community impact can be introduced to help Ninjas identify opportunities to influence and benefit the world around them. Besides learning teamwork and collaboration skills, Ninjas are encouraged to present projects they're working on in order to develop their communication and leadership skills.
