## Building your team

Running a Dojo alone is possible, but it’s a lot of work! Having support is great, and how many other volunteers you need will depend on the size of your Dojo. Your top priority is finding mentors to help you support the Ninjas in their learning, but you should also be on the lookout for other volunteers who can help out with things like running the Dojo’s social media, or communicating with the venue manager/owner. Ideally, you should also look for a co-champion to share your responsibilities.

## Recruiting mentors
Mentors do not need technical skills, as they can make use of educational content (coming up in a few pages!) to choose topics for the Dojo and to develop their own skills. However, it is helpful to have at least one technically skilled mentor at your Dojo.

### Where to find mentors
You can find potential mentors in a number of places in your local community, such as:

 * Business centres
 * Community centres
 * Offices of technology companies
 * Public libraries
 * Secondary or high schools
 * Universities and colleges
 * Youth service organisations
 * Local media outlets

### Why be a mentor at a Dojo?

[embed](https://www.youtube.com/watch?v=Q6M0IdEn07E)

You may need something of a recruitment pitch for prospective mentors. You can explain to them how mentoring at a Dojo can be a very rewarding experience, giving mentors the opportunity to help the young people in their community and to learn more, not only about themselves, but also about technology. Even if they are already experienced programmers, the Dojo environment gives mentors an excellent opportunity to explore different aspects of their tools, or learn entirely new ones!

We have created a few tools that might be helpful for you when looking for prospective volunteers:

 * [A flyer](http://dojo.soy/flyers) you can print out and give to prospective recruits
 * A number of [email templates](http://dojo.soy/sd-volunteer-letter) you can use to approach organisations where you might find Mentors
 * A set of [designed images](https://help.coderdojo.com/hc/en-us/articles/360021209371-Promotional-images-for-Dojos) you can use to promote your Dojo
 * Share the video above, which is [available on YouTube](https://www.youtube.com/watch?v=Q6M0IdEn07E)

### Recruiting parents as volunteers
Parents, guardians, or other adults associated with your Dojo’s Ninjas represent an excellent source of prospective volunteers. If your Dojo follows the common practice of encouraging or even requiring parents or guardians of Ninjas to stay at the Dojo, then you’re already halfway there!

It’s quite likely that these adults have some skills that could be of use at a Dojo, even if they don’t know it. If they have technical skills, that’s excellent, but a lot of other skills can be useful at a Dojo too! You may like to direct parents and guardians at your Dojo towards our [Parents’ Handbook](https://help.coderdojo.com/hc/en-us/articles/360018412692-Parents-guide-to-CoderDojo), which is a great introduction to the world of CoderDojo that’s tailored to their needs and outlines how they can get involved.

> "For anyone who’d like to mentor but doesn't think they're technically skilled enough: don't worry, a mentor’s role is not to know everything, but to guide the kids. Remember, Professor Google will have most answers.”<br />**Niambh Scullion**, mentor, Dublin, Ireland <br />

### Buddying up volunteers
One way of helping new volunteers feel more comfortable is to pair them with more experienced mentors. This will help new volunteers to gain more confidence. Its also a good idea to have brand-new volunteers attend a Dojo session and shadow a mentor in advance of joining the team.

> “As a new mentor, it was great to be partnered with another mentor. I thought it was inspiring and a great boost in confidence for the occasional Dojo where I felt a bit unprepared. It works much better in my opinion to have two or more mentors in a session. If you can arrange that, all the better!”<br />**Steve O'Connor**, mentor, Wexford, Ireland<br />

**What barriers might volunteers have to participating, and how can they overcome them? How does having parents participate in the Dojo benefit the Ninjas? Let us know what you think in the comments below.**
