## Finding a venue

Your Dojo needs somewhere to take place! Most Dojo champions locate venues that meet the Dojo’s needs and that the owners are willing to make available for free.

## Venue requirements
**All Dojos must be registered to a public space.** In accordance with child safeguarding guidelines, we don’t allow Dojos in private residences. Popular public spaces in which to hold Dojos include libraries, community centres, offices, universities, and makerspaces.

### What your venue needs

 * Tables and chairs for attendees
 * Power sockets for laptops
 * Suitable insurance coverage (e.g. public liability); you should always check, but many potential venues will already have this
 * Suitable health and safety measures, including fire exits

### What’s nice to have at your venue

 * Internet access: while it makes running the Dojo easier, many Dojos manage without it by using printed resources and distributing files on USB flash drives.
 * Computers: while you usually need computers at your Dojo, it’s very common for Dojos to ask Ninjas to bring their own. However, if your Dojo has some computers, you can offer the CoderDojo experience to young people who do not have access to a portable computer.

>"Libraries are definitely great spaces that have three key ingredients needed to get a Dojo up and running: space, power, and internet connectivity. Libraries tend to be at the hub of a local community [...] and are almost all blessed with power, and increasingly with good connectivity [...]. So there are three ticks in our boxes for the logistics of setting up a regular CoderDojo session where kids and parents can come along and explore what this wonderful world of coding, tinkering, and digital making is all about."<br />**Rob Curran**, Dojo champion, Wimslow, UK <br />

I've been involved in running Dojos on a college campus and in two very different office spaces (a large corporation and a shared co-working space), and I have found that you can usually find some way to take advantage of what the space offers you. The college and the co-working office both had large, open event spaces. These gave a great sense of energy and activity to the Dojo, and allowed everyone to focus on one activity if we had something cool to show off, such as a robot. The corporate office didn't have a big central space, so we had to spread out over a few meeting rooms, and this allowed us to break the Ninjas that were all working on very similar projects and programming languages into groups, allowing for lively discussions between them and their mentors. **Remember that you should always have more than one adult in any room with young people.**

###If you can’t hold in-person events right now

The coronavirus pandemic has affected many parts of daily life, and as a result of the pandemic, many Dojos worldwide have moved online to continue providing a fun, sociable learning environment for their local community.

If your club can’t currently meet safely in person, you may wish to start running your Dojo online. To get started with running your Dojo online, [please read our ways to run guide](https://coderdojo.com/ways-to-run/). **Please note:** online Dojos **must** be registered to a public venue and be verified by the CoderDojo Foundation before hosting any online events.


**In the comments below, tell us what kinds of venues you think would be suitable for a Dojo and why.**
