## Dojo resources

CoderDojo has been designed to cost nothing or as little as possible for all champions, and most Dojos operate without needing to secure additional equipment or support.

> "I have never needed to fundraise for any Dojo I have been involved with, and I have managed to convince a few companies to give me some old laptops!" <br/> **Phillip Harney**, CoderDojo Volunteer.

### Getting the computers
Usually, Ninjas are asked to bring laptops, power cables, etc. from home. These don't have to be fancy computers, they just have to work! The Ninja, or a parent/guardian who is present at the Dojo, should also have the administrator password to install new software on the machine if needed.

Some Dojos will be lucky enough to have access to computers at their venue (e.g. in a school computer room) or through the support of a local business that can donate old laptops.

Some Dojos have even run successfully without any computers at all!

> "Kickstart things with the resources you have, don’t wait looking for them. When we started, we didn’t have a computer for the Dojo. So we decided to go with paper diagrams to explain the process, and it was effective. In fact, we taught HTML on slates and using the streets."<br />**Gauthamraj Elango**, Dojo champion, Erode, India<br />

## What if I need to buy something?
Sometimes Dojos may incur expenses that you deem necessary. Examples might include T-shirts for the Ninjas, insurance for the Dojo, or youth work training (e.g. on child safeguarding) for volunteers. It is preferable for Dojos to make an effort to operate without sponsorship. If Dojo-related costs do arise, try to find a supporter (such as a local business) that will cover the cost or purchase the supplies on the Dojo’s behalf. Be aware that Dojos that accept cash donations must follow all applicable local regulations, which can create extra work for you.

##Fundraising

### Rules on fundraising
The [CoderDojo charter](http://dojo.soy/sd-charter) allows fundraising either by a single Dojo or a group of Dojos as long as they are clearly identified as such (e.g. ‘CoderDojo Long Beach’ or ‘Dojos of California’). You are not allowed to fundraise simply as ‘CoderDojo’. Inappropriate fundraising violates the CoderDojo charter.

### Can we ask parents/guardians for donations?
While **attending the Dojo must always be absolutely free and no special privileges can be awarded to Ninjas as a result of donations**, you are allowed to ask parents/guardians for donations. However, this must be done in such a fashion that those who are unable to donate do not feel excluded. A good way to achieve this is a general announcement about the purpose of the fundraising together with the location of a donation box near the entrance of the Dojo. Then parents/guardians are free to donate or not, in their own time and without any pressure. It is not acceptable to give every Ninja an envelope to pass on to their parents/guardians, or to put a donation box in the room in front of everyone.

### Fundraising suggestions
Many Dojos have found success seeking financial support from local businesses, governments, etc. We strongly encourage you to try this route before investigating direct fundraising, and we have produced some [template emails](http://dojo.soy/sd-sponsor-mailtemplates) you can use to reach out to prospective funders.

### Dojo wish list
So that people who want to help the Dojo out but don’t want to directly donate money can lend their support, it is a good idea to create a wish list of things the Dojo needs. Then donors can choose to purchase something on behalf of the club.

### Grants
Some Dojos have been able to secure funding from local governments, educational bodies, tech initiatives, etc. You should determine whether any such funding is available in your area and whether your Dojo is eligible to apply for it.

### Corporate funding
There are also Dojos that have secured either funding or direct donations of products/services from corporate funders. This could be anything from the cost of insurance or a software package all the way up to a number of used computers!

## Other ideas
Do you have any other ideas or suggestions for how you could secure support or materials for your Dojo? Share them in the comments below!
