## Try out a project

In order to reduce the workload for yourself and your mentors, you should make use of educational resources at your Dojo instead of trying to come up with projects yourselves, at least until the Ninjas start having their own project ideas! There are a lots of websites where you can find such materials, but the CoderDojo community and the CoderDojo Foundation produce freely available educational resources that are specifically designed for use in a Dojo.

You'll also find out a lot more about educational resources, and how to use them in your Dojo, in Week 3 when we talk about planning your Dojo sessions and your year.

## The CoderDojo resources site
You can find our collection of educational resources for a variety of programming languages and hardware projects on the CoderDojo resources website at [coderdojo.com/resources](http://coderdojo.com/resources).

## Project paths
We have a catalogue of free digital making projects, which you can find at [rpf.io/paths](rpf.io/paths). The projects are grouped into learning paths with six projects in each; each path is designed to introduce skills, develop confidence, and grow independence.

The paths follow a 3! - 2! - 1! - Make! structure where:
   - 3! - The first three ‘Explore’ projects have step-by-step instructions 
   - 2! - The next two ‘Design’ projects introduce design choices and opportunities to practise
   - 1! - The final ‘Invent’ project invites creators to make a project that meets a brief
   - Make! At the end of the path creators are empowered to make their own ideas independently or move on to the next path to develop more skills
   
The projects feature real-world information and scenarios, debugging tips, reflection steps, and open-ended upgrade options. We’ll talk more about them next week, but in the meantime you can try out the [Space talk](https://rpf.io/space-talk) (block-based Scratch) or [Hello world](https://rpf.io/hello-world) (text-based Python) projects and do let is know how you get on.

[embed](https://www.youtube.com/watch?v=_Nxu0rlo9Pg)

**Try to add your own twist to the game you'll make, and share it in the comments below!**

**What did you learn from completing the project? What would a Ninja need to know before they can complete this project?**
