## Working with young people

This section contains some general advice for working with young people. You must ensure that you have investigated the requirements and laws regarding adults working with young people in your area, and that you are fully compliant with them.

Every adult who intends to regularly volunteer with CoderDojo should complete the e-learning module [Safeguarding young people in CoderDojo](https://projects.raspberrypi.org/en/projects/safeguarding-module/) (note that you will need to sign in to your Raspberry Pi account). You can also find a more extensive list of recommendations for working with young people in the [Champions' Handbook](http://dojo.soy/chb).

## One rule: be cool!
You heard about it last week, and this is a reminder to pass on this oldest of CoderDojo principles to the young people attending your Dojo.

> “Helping, sharing, supporting, encouraging, cooperating, and being kind are all very cool. Bullying, lying, time wasting and disrupting the Dojo are all considered uncool.”<br />**Bill Liao**, CoderDojo co-founder<br />

##Show you’re still learning too
It helps Ninjas to see that you’re still learning as well. If you can code already, they’ll see what they might achieve, while also realising that there is no all-knowing expert who has 'finished learning'. If you don't have technical skills, you can work through projects with the Ninjas and solve problems as a team!

### How to do this

 * Let the Ninjas see that when you realise you don’t know something, you react with curiosity and enthusiasm about learning, rather than with frustration.
 * Try things, even if you’re not sure they’ll work.
 * If you do always have the right answer, consider occasionally making a deliberate mistake so they can see how you go about identifying and correcting it.
 * If you have a technology-related side project in progress, bring it to the Dojo and do a quick showcase, just like the Ninjas do at the end of a Dojo!

> “Even though my involvement so far has been as a mentor, I feel like I’m the one who learns the most after each event. Whether the audience is young or old, male or female, each of their unique perspectives continues to inspire and influence my professional and personal life.”<br />**Michelle Tuason**, Dojo mentor, Kansas City, Missouri, USA<br />

## Quality connection trumps expertise
While technical skills are useful, forming a great connection with the Ninjas will help you have a far greater impact than any cool bit of code could. It will make your feedback more important to them, and your encouragement more valued by them.

### How to do this

 * Introduce yourself to new Ninjas by name. Have a conversation with them. Learn a little about them and what they’re interested in. Really listen to them and engage with them — their interests may lead to some awesome projects in time!
 * When working with a Ninja on their project, don’t stand over them. Get on their level by sitting next to them or crouching down.
 * Be yourself, and share relevant and appropriate information about yourself in conversation.
 * Be visibly interested in and enthused by the progress Ninjas make with their projects and skills.
 * Keep coming back! Reliability will help you build up trust with the Ninjas.

> “You can imagine the excited faces of the young coders… Trust me: you always get more than what you give.”<br />**Ignacio Calvo**, Dojo mentor, Dublin, Ireland<br />

***

By following the above links you will be taken to a third party website, the use of which has been arranged by and is the responsibility of CoderDojo. On this website you will be asked to submit some information about yourself. Please make sure you are familiar with the terms and conditions and privacy policy of the third party website before submitting your information. CoderDojo will only use your personal information for the purpose stated above and in accordance with the terms of the third party website.

Whether you follow the above links and submit your personal information or not, your course progress will in no way be affected. Nor will your course marks or FutureLearn profile. For the purposes of any personal information submitted via the third party websites CoderDojo will be the data controller, not FutureLearn.
