## Safeguarding in your Dojo

Dojos should be safe and inclusive environments for young people to learn about technology. This means ensuring all young people feel like the Dojo is a place where they can fit in and have fun! To make this happen there are a few best practices you can use to ensure both volunteers and Ninjas have a great experience at your Dojo.

## Volunteers' code of behaviour
'One rule: be cool’ applies to volunteers as well as young people. For volunteers, it is useful to have some guidelines on what is cool and what isn’t, especially for those who haven't worked with young people before. You can view and print out our [full code of behaviour](https://help.coderdojo.com/cdkb/s/article/Code-of-Behaviour-volunteers) for all your volunteers.

The minimum ratio of volunteers to young people that we recommend is 1:10, and many Dojos find that a higher ratio (e.g. 1:7) is beneficial for younger or less experienced Ninjas. When running an online session, you should always have a minimum of two adult mentors on the call, or per breakout room.


## Parental attendance at CoderDojo
When you are starting your Dojo, it is useful to invite parents/guardians to accompany all young people for their first session. This helps the young people get used to their surroundings, the mentors, and the other young people at the Dojo.

It’s also useful to have parents on hand for younger Ninjas, as they can remind them or write down passwords for their computers or any online accounts they set up to save their work.

There is no safeguarding rule on parental attendance, so it will be up to your Dojo to decide if you want to create a guideline on this. Typically, it is useful to encourage or require attendance of parents for the younger children in the Dojo. Often when young people are older than 13, they will not want to attend a club with their parents. We advise that you decide on what you and your mentors are most comfortable with, and consult with your members from time to time to see if you need to alter your policy on parental attendance.

## Background checking
In some countries, all volunteers working with young people are required to have a background check. Review the requirements in your region and see if you need to put background checking in place.

The CoderDojo Foundation provides background-checking support and advice for volunteers based in:

 * [Ireland](https://coderdojo.com/gardavetting/)
 * [United Kingdom](https://help.coderdojo.com/cdkb/s/article/Background-Checking-United-Kingdom)

If you are based in one of these countries, just reach out to info@coderdojo.org to find out more about background checking for your Dojo.

## Communication and social media guidelines
Often Ninjas want to connect with volunteers on social media directly, or the Dojo may organise events via social media. Volunteers should use their common sense to communicate with young people, and should avoid private one-to-one messaging with them.

Here are some general guidelines on communicating with young people:

 * When communicating with all Dojo members at once, ensure you do not disclose email addresses by using a mailing list or the 'Bcc' field
 * Copy in parents on all communication to Ninjas where you are emailing them directly
 * Do not connect with young people on personal social media
 * Do not privately message young people on social media
 * If/when appropriate, only engage with Ninjas via social media in a group environment or where content is public by default (e.g. Twitter)

These guidelines are included in the CoderDojo volunteers' code of behaviour linked above.

##Participating in an online Dojo

If you participate in an online Dojo as a volunteer/mentor, please follow our [guidance on online club sessions](https://www.raspberrypi.org/club-event-guidance/) and our [code of behaviour](https://www.raspberrypi.org/app/uploads/2018/12/Raspberry_Pi_Foundation-safeguarding-code_of_behaviour.pdf), which gives more insights into safe behaviour online and is linked above.

## What do I do if I have a safeguarding concern at my Dojo?
If you have a safeguarding concern, or if you want some guidance on best practices, contact the Foundation directly via the [Raspberry Pi Foundation safeguarding form](https://form.raspberrypi.org/f/safeguarding-concern-form), and we will provide support.
