## Structure of a Dojo session

## How often should a Dojo run?
This varies based on the availability of volunteers, Ninjas and your venue. The average Dojo runs fortnightly, but many run weekly or monthly. It is important that all Dojos run regularly, as this will create a club atmosphere and get Ninjas into a regular rhythm of building on their work.

## Sample Dojo session schedule
The following is an example schedule for a Dojo. It assumes a two-hour Dojo session, as most Dojos run for 1.5–2 hours. Obviously, if your sessions are shorter or longer, adjust the timings or cut things as needed.

**Note:** The coronavirus pandemic has greatly affected the ways in which Dojos run. Over the past few years, many Dojos moved their sessions online — some temporarily, others indefinitely. The pandemic continues to cause disruption and different countries will have different health restrictions in place at any given time. The following schedule is intended for an in-person session, however, you can also find a sample schedule for structuring an online Dojo session at the bottom of this section. Always adhere to your region’s current public health guidance. 

You can use the [printable version of this schedule](http://dojo.soy/sd-schedule), which has space for your Dojo's specific details, to help you plan for an upcoming session.

 * Setup: 30 minutes before the Dojo starts
 * Arrivals: 15 minutes before the Dojo starts
 * Welcome: 5 minutes
 * Icebreakers: 5–15 minutes
 * Making something cool with code: 30–90 minutes
 * Showcasing work: 10–20 minutes
 * Wrap-up: 5 minutes
 * Clear-up and review: 15 minutes

[embed](https://www.youtube.com/watch?v=iIMnQwEQeYs)

### Setup: 30 minutes before the Dojo starts
The champion(s) and other volunteers arrive at the venue and set up the space, including any equipment required for the Dojo’s planned activities. If your Dojo is not easy to locate — maybe it’s inside an office building, or through one of several entrances — consider putting up signs, a poster, or a banner!

This is also a good time to review what you’re planning to cover at the Dojo with your mentors. You may also want to consider affixing name badges before the first Ninjas arrive.

#### Dojo layout
If possible, you should set up your Dojo’s space so Ninjas have the opportunity to collaborate and talk to each other. Depending on the kind of space you have available, you may want to divide the Dojo so that Ninjas working on similar projects or technologies can work in the same area. The key thing is to avoid having a Dojo look or feel too much like a standard school classroom — even if it’s taking place in one! Many Dojos find that round tables work particularly well for encouraging collaborative learning. Don’t worry if these are not available, just try to encourage Ninjas to cluster together or face each other. **Please note:** if there is any guidance in place in your local area regarding social distancing, ensure that Ninjas and mentors follow that guidance.

### Arrivals: 15 minutes before the Dojo starts
Ninjas will start arriving around now. Have one or more volunteers greeting them and helping them check in, find power, connect to the WiFi network, etc.

You may want to consider:

* Issuing Ninjas with name tags/stickers as they arrive
* Using different symbols on the name tags, or particular colours of lanyard or similar, to indicate things such as whether a Ninja’s parent has given permission for them to appear in the Dojo’s social media photos and videos, or whether the Ninja is a youth mentor

### Welcome: 5 minutes
Introduce yourself and the mentors to any new Ninjas. If your Dojo will be doing multiple activities (e.g. one group working with Scratch, another with HTML), explain these and ask Ninjas to seat themselves accordingly. Depending on the space you have, this might be a matter of going to different tables, different parts of a room, or different rooms entirely.

### Icebreakers: 5–15 minutes
Ninjas at your Dojo may not know each other, or some may have formed friendly groups and therefore don’t interact much with Ninjas not within the group. To both introduce new Ninjas to other Dojo attendees and to create new opportunities for Ninjas to interact with one another, we recommend running icebreaker activities whenever you have several new Ninjas at a session, and every so often even with established Ninjas. You can find ideas for icebreaker games in the [Champions' Handbook](http://dojo.soy/chb)!

These activities are usually games that cause the Ninjas and mentors in the Dojo to interact and to learn something about one another. This could just be another Ninja’s name, or it could be something about their hobbies, pets, favourite music, etc.

It is not unusual for older Ninjas (13 years or older) to sit out the icebreaker game. Alternatively, you can group teenagers together and encourage them to find out something interesting about each other.

### Making something cool with code: 30–90 minutes
Ninjas work with the support of mentors to create something with code. This can be a project from the CoderDojo resources site, an online coding tutorial, or it can be something the Ninjas, possibly with guidance from their mentors, have imagined and now want to create.

Ninjas can work together in groups or alone, depending on the nature of their project and their preferences. They should be encouraged to keep in mind CoderDojo’s principle of ‘Ask three, then me’ and to help each other solve problems.

If a Ninja, or a group of Ninjas, is trying to plan a new project of their own design, they can make use of the [CoderDojo design worksheet](https://help.coolestprojects.org/hc/en-us/articles/360016446372-How-to-make-a-project-Workbook-and-additional-resources).

#### Ask three, then me!
At CoderDojo we encourage established Ninjas to rely on themselves and their peers, rather than just on the mentors, for help with their projects. The ‘Ask three, then me’ principle states that when a Ninja encounters a problem, they should first try to solve it by themselves, then look for a solution on the internet, then turn to another Ninja for assistance, before finally asking a mentor’s help if necessary. This encourages peer-to-peer learning and the development of independent problem-solving skills.

### Showcasing work: 10–20 minutes
If they wish, Ninjas can take the opportunity to demonstrate to the Dojo what they’ve created on the day or over the last few sessions. They can do this however they think is best, e.g. by coming up to the front of the room and demoing their project on-screen, by standing up and talking about what they did and why, or by gathering everyone around to watch a robot drive across the floor!

Letting Ninjas showcase their creations serves to recognize their achievements and promote their confidence. It also helps them develop their presentation skills, and it offers the other Ninjas the chance to learn and be inspired. Some Ninjas may lack the confidence to get up in front of their peers at the beginning. It's good to quietly encourage them, without pressuring them, to also say something about what they've made, even just for a few moments.

>"My favourite part is when our Ninjas present their work from the session to all of the attendees and parents. It is amazing to see their creativity come to life!"<br />**Garima Singh**, Dojo champion, Round Rock, Texas, USA<br />

### Wrap-up: 5 minutes
Thank everyone for attending, and remind them that they can keep coding at home between now and the next Dojo. If the next Dojo is already scheduled, tell attendees when that will be and, if you’re using ticketing, remind them to watch out for the ticket release so they can secure theirs. Then Ninjas and parents leave.

### Clear-up and review: 15 minutes
Champions, mentors, and other volunteers pack up equipment and tidy the venue, leaving it in a tidy state. Particularly if you are reliant on the goodwill of the venue owners, make sure that the space is left as you found it.

Once that’s done, gather the team around, thank them for their efforts and ask what went well, what went badly, and how you can improve.

##Structuring an online Dojo session
You can use [this schedule](https://static.raspberrypi.org/files/clubs/Raspberry_Pi_Foundation_Online_club_session_schedule_printable_A4.pdf), which provides examples on how to adapt your Dojo session when moving online.

## Planning your first Dojo
**Think about your first Dojo. Let us know in the discussion below what topics you're considering and what resources you might be using!**
