## Using learning resources in your Dojo

We recommend using learning resources, including the project paths, created by the Raspberry Pi Foundation, at your Dojo to simplify the planning and running of the sessions. These materials are tried and tested, and they save you having to plan the specifics of projects that your Ninjas may want to do. This makes life easier for your team and reduces the amount of work mentors need to do.

The great value of these resources is that each Ninja can have their own copy, either printed out or on the screen in front of them, allowing them to move through the material at their own pace. Mentors are available to support Ninjas who have issues, but they don't need to actively walk them through each step.

You can either choose a specific project for all your Ninjas to work on at the same time, which I highly recommend early on, or have Ninjas work with mentors to choose projects that meet their particular needs and learning goals. This can lead to Dojos like mine, where a Ninja building a 3D video game is sat beside one creating a website and one building their first Scratch project!

You can find a collection of educational resources for a variety of programming languages and hardware projects on the [CoderDojo resources site](https://coderdojo.com/resources), with materials created by our team at the Foundation on subjects including:

* **Scratch**: a graphical programming language that is an excellent first starting point for beginners, covering many of the key principles of programming.

* **HTML/CSS**: the core languages used to build web pages. Our collection of resources assumes no prior knowledge and guides Ninjas from the basics to a relatively sophisticated website.

* **JavaScript**: this language is one of the fastest growing and most useful in the world. It’s the key language for making interactive websites, and a good follow-on for Ninjas who have learned both Scratch and HTML/CSS.

* **Python**: a popular and easy to learn text-based programming language used in everything from websites to data science.

* **App Inventor**: another graphical tool that Ninjas can use to build apps for Android devices.

* **Wearables**: with our wearables resources, Ninjas will learn to create pieces of wearable technology and write code to control them.

* **Unity**: a professional-level game development tool for creating detailed 3D games using pre-made models and textures. It is not suitable for beginners, but Ninjas who are familiar with some Python or JavaScript will be able to progress to it.

You can find all of our projects — many of which are organised into structured learning paths — on the [Raspberry Pi Foundation’s collection of resources](https://projects.raspberrypi.org/).
