## Planning your Dojo's year

Planning the year for your Dojo is something you should do at a broad level first, and then you can go into more detail, such as project choices etc., as you move through the months and learn. At this level, you'll want to decide which topics to cover and when to introduce them. The topics will depend on your mentors’ knowledge and the level of experience among your Ninjas.

For example, a good basic plan for a Dojo running every two weeks, where mentors have limited technical knowledge, or no particular topic preferences, might look like this:

## Sample Dojo plan

### Sessions 1–6

 * Introduce the basics of programming, and build Ninjas’ and volunteers’ confidence.
 * Beginner-level Scratch for all Ninjas, following learning resources and moving on to intermediate-level ones when they've completed the beginner material.

#### In session 1

 * Introduce yourselves, and introduce the CoderDojo principles and ethos.
 * Break the ice and get to know each other.

#### In session 6
* Let Ninjas showcase favourite projects.
* Recognise Ninjas’ achievements.
* Ask for their feedback to find out what they’re enjoying and what they want to change.

### Sessions  7–12

 * Continue with Scratch learning resources to advanced levels.
 * Ninjas will be working at many different levels of Scratch. The more advanced ones should be encouraged to start selecting their own learning goals and projects with assistance and guidance from mentors.

> “It’s inspiring to see children coming up with novel, creative concepts for their projects. Coming up with these ideas brings out their unique imaginative qualities.”<br />**Ursula Clarke**, Dojo mentor, Dublin, Ireland<br />

#### In session 12

* Let Ninjas showcase favourite projects.
* Recognise Ninjas’ achievements.
* Ask for their feedback to find out what they’re enjoying and what they want to change.

### Sessions 13–18

 * Continue Scratch for new Ninjas and Ninjas who are happy to keep working with this language.
 * Using learning resources, introduce HTML/CSS to Ninjas who want to do something else.

The Dojo will be starting to settle into a rhythm. Scratch remains as a place to start and build confidence. HTML/CSS offer Ninjas something totally different to Scratch: creating a website. These languages also open up the path to programming with JavaScript in the future.

#### In session 18

* Let Ninjas showcase favourite projects.
* Recognise Ninjas’ achievements.
* Ask for their feedback to find out what they’re enjoying and what they want to change.

## Every Dojo is different
This plan is similar to the one I've used in two different Dojos; it has sometimes been combined with other things, as the needs of the Ninjas and skills of the mentors dictated. It's also not the only plan I've used. I've also started from HTML/CSS, and I know of other Dojos that started with Python, or with hardware (e.g. Raspberry Pi, Arduino, micro:bit). Don't be afraid to try different things and do what works for you!

## Learning pathways
If you are looking for a structured learning plan for your Dojo, there are a number of [project paths](https://projects.raspberrypi.org/en/paths) available on the Raspberry Pi Foundation’s resources site. Each path contains six projects and is designed to provide young people with a learning journey that lets them gradually develop increasing independence. There are currently three Scratch paths, two Python paths, a physical computing with Scratch path,  an introduction to Unity path, and an introduction to the Raspberry Pi Pico. After young people have completed a path, you can celebrate their achievement with a [certificate!](https://coderdojo.com/2021/11/09/new-projects-new-features-new-certificates/) 

## What's your plan?
Do you have any thoughts on what topics you're going to cover at your Dojo? Any questions about how to do so? Share them below so we can learn from each other!
