## Growing with your Ninjas

Over time, Ninjas tend to reach the limits of how much they can learn from pre-planned educational content. This is normal, and it happens in pretty much all fields of study. CoderDojo differs from a standard curriculum-based approach in that volunteers encourage Ninjas to continue beyond the edges of the map and investigate whatever areas of coding and technology particularly interest them.

## Moving on from learning resources
As well as following learning resources to develop their basic skills, CoderDojo Ninjas are encouraged to choose problems that matter to them and design and create technology-based solutions for those problems. Once Ninjas have completed beginner-level materials, they have the skills to start building simple solutions, and the complexity of their projects will grow in tandem with their developing skillset.

In fact, for Ninjas who have completed advanced materials and really want to begin to broaden their skills as programmers, choosing their own projects (with some mentor assistance!) is the best way to do that. Work with them to help them pick something that is *just a little beyond* their existing skills. Then they’ll have to learn new skills, but they won’t become too frustrated by their rate of progress.

I find that most Ninjas are full of ambitious ideas — things like "I want to build a 3D video game, with cities and spaceships!". The trick lies in reframing their ideas into something that can both be achieved and will also require them to learn something new along the way. For example: "What if we start with just one spaceship and get it to fly? To do that, we'll need to be able to tell when the player presses an arrow key…".

## Learning together
Don't worry too much if you don't exactly know the territory or technologies your Ninjas are starting to explore. One of my favourite things about CoderDojo is that, rather than just always knowing the answer, you learn things together as you work with Ninjas to solve problems when you get stuck. In this way, I've learned a reasonable amount about building video games over my years of volunteering with CoderDojo, often from Ninjas who knew a lot more than I did!

## Design tools for projects
For Ninjas working on original projects, we have created [a set of design resources](https://help.coolestprojects.org/hc/en-us/articles/360016446372-How-to-make-a-project-Workbook-and-additional-resources) and a [poster](https://help.coolestprojects.org/hc/en-us/articles/360016446952-How-to-build-a-project-Poster) they can use to clearly understand and define the problem they are approaching, and to plan, test, and iterate upon their solution. You can download them and print them out so that Ninjas can draw up plans for what they'll make.

## Share your project ideas
What kinds of projects might you suggest to Ninjas who are ready to apply their skills to something they care about? Let us know in the comments below!
