## Recognising achievement
Marking a Ninja’s progress recognises their efforts, and it also motivates them. This applies to learning a new skill, or expanding an existing one. A way in which many CoderDojos do this is by awarding certificates as markers of achievement.

## Certificates
Many Dojos like to give Ninjas printed certificates so that the Ninjas have something physical they can put their hands on and show to friends and relatives. We have created a [template certificate](http://dojo.soy/cert-template) that you can copy, customise, and print out for use in your Dojo.

## Showcasing
You don’t need to wait until the end of the year to recognise the progress your Ninjas have made. It's good to get into a regular practice of incorporating showcases into your Dojo session schedule. These small but regular opportunities are great to build Ninjas' confidence and keep them motivated. Remember that we included this earlier in the course when we talked about the structure of your Dojo.

## Coolest Projects
[Coolest Projects](https://coolestprojects.org/) is the world-leading technology showcase for young creators. Its purpose is to celebrate and inspire young people who make things with technology.
Young makers of all levels of skill are encouraged to participate in Coolest Projects. Taking part encourages young people to go through the process of innovation: they think of a project idea, build that project, showcase it at the event, and then iterate on it again in their Dojo. No matter where they are in the world, they can participate and share with their peers.

There are two types of Coolest Project events:
- **Coolest Projects** is a series of online and in-person events that happen throughout the year. We do not plan to run an in-person event this year (2022).
- **Coolest Projects Global** is an online event open to creators from all over the world.

**What is Coolest Projects Global?**
Coolest Projects Global is entirely online so it is accessible to all participants around the world, and it’s completely free. It’s open to tech creators up to 18 years old, working independently or in teams of up to five. We welcome creators of all skill levels: this world-leading technology showcase is for young people who are coding their very first project, or who are already experienced, or anything in between. Projects can be registered in the following categories: Scratch, games, web, mobile apps, hardware, and advanced programming. Judges will evaluate projects based on their coolness, complexity, design, usability, and presentation.

**Why Coolest Projects Global is so cool**
Here are just a few of the reasons why young tech creators should register their project for the Coolest Projects Global showcase:
- **Share their project with the world.** Coolest Projects Global is the world’s leading technology showcase for young people, and it’s their chance to shine on the global stage.
- **Get feedback on their project.** A great team of judges will check out each project and give its creator feedback, which will land in their inbox after registration closes.
- Earn some swag. Every creator who registers a project will be eligible to receive some limited-edition digital or physical swag. 
- Win a prize. Creators of projects that are selected as the judges’ favourites in the six showcase categories will receive a Coolest Projects medal to commemorate their accomplishment. The judges’ favourites will be announced at our live online celebration.

You can check out and share previous projects with your Ninjas [here.](https://online.coolestprojects.org/events/cp-2021/gallery)

Many local CoderDojo communities around the world also run their own regional Coolest Projects — in 2020, volunteer-led events took place in Bulgaria, Belgium, and Malaysia.

**In what other ways could you recognise Ninjas' achievements or motivate them to challenge themselves?**
